Subject: RE: Last call on LSP Ping

From: [email-masked]
Date: Sat, 7 Dec 2002 10:23:40 -0000

> > George....I think the point Shahram was making it is not 
> even allowed
> > outside the host/source box according to the text quoted 
> from the RFcs
> > below.  Wrapping it in some other package (any, not just 
> MPLS) is still
> > violating this requirement...and note that it *must* be 
> placed in some
> > package to get across any tranmission medium....IP pkts 
> don't go raw on
> > wires.
> 
> As far as I'm concerned it is within the spirit of the RFCs.  If you
> want to insist on the letter of the law, perhaps you should look into
> a career as a solicitor.
> 
> ...George

George, I am asking a serious question here and I would have appreciated a
serious answer please.  I'd also like to see some responses to the other
issues that have been raised.  My experience to date suggests one only gets
responses 'when it suits'.  At least others (esp Erics R and G and Curtis)
have attempted to provide reasoned answers.

This stuff is going to get delivered whatever right?....so I want to be sure
that its as fit for purpose as possible (and that's more than this
particular 127/8 point).

Here's my understanding of the current position on this specific point:

There are (at least) 2 possible cases:
1	127/8 addressed pkts should never leave a box
2	127/8 can always leave a box.....since I can put 127/8 addressed
pkts in ATM or FR (or ethernet?) directly.....I see no significant technical
difference here to the MPLS case that is argued as being justified.
[Aside - one could generalise the above case 2 to *any* IP addressed packet,
or we could make 127/8 a special case]

Now I just want a ruling that 2 is fine (perhaps as a special case?), and as
long as its agreed now then that's OK....I don't want this raised by someone
X months hence after this stuff is being shipped and operators have deployed
it.

regards, Neil

---

From: Curtis Villamizar <[email-masked]>
Date: Sat, 07 Dec 2002 18:52:22 -0500

In message <[email-masked]
> that its as fit for purpose as possible (and that's more than this

A lot of packets from my site (here at home) go through the Internet,
all destined to a subnet of 10/8 (in the office).  This (10/8) is also
not a routeable address covered in the same sections as 127/8 in
RFC1700 and RFC1812.  Its OK to deliver these packets since they are
encapsulated in something else.  It is not considered a violation of
RFC1700 or RFC1812 to forward these across the Internet where 10/8 and
127/8 are considered to be "martian packets".

Going way back to 1992, the mbone tunnels were originally built out of
source routed tunnels with a multicast destination.  They later
switched to a tunnelled encapsulation due to performance problems of
certain routers when handling large volumes of source routed packets.
This was not considered a violation of RFC1700 or RFC1812.

There are plenty of precedences for using private addresses inside
something else.

In many circumstances, packets with private addresses are tunneled.
You have to separately look at what happens at the end of the tunnel
after the encapsulation is stripped off.

> or we could make 127/8 a special case]

127/8 cannot be forwarded based on the 127/8 destination.  Just as
traffic from 10/8 can leave a subnet, croos the big-I Internet, and
reenter a subnet of 10/8, so can a packet be formed with a 127/8
destination and be encapsulated in something and sent.

What happens when the outside encapsulation is stripped off also has
to be examined.

When the labels are gone, the 127/8 remains and the packet is sent to
the loopback address.  That is the one exception allowed by RFC1812
and delivery to the loopback is the explicit intended use of 127/8.

> X months hence after this stuff is being shipped and operators have deployed

If you had a legitimate reason to deliver traffic to the loopback
device on the other end of a FR or ATM link, then putting 127.0.0.1 in
the destination and a valid UDP payload with a port number for that
application, then it would be fine.

There is a legitimate reason for selecting a 127/8 address for this
application.  Because it is used for a diagnostic we DON"T want it to
be routeable.  RFC1700 and RFC1812 guarentee that it won't be
routeable.  RFC1700 and RFC1812 explicitly set this address space
aside for use with the loopback device.

> regards, Neil

Once again, I think the MPLS-ping objectors are simply grasping at
straws.

Curtis